astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- CIRS

# CIRS

class `astropy.coordinates.``CIRS`(*args, **kwargs)

  Bases: `astropy.coordinates.BaseCoordinateFrame`

  A coordinate or frame in the Celestial Intermediate Reference System (CIRS).

  This frame has one frame attribute:

  - `obstime`

      The time at which the observation is taken. Used for determining the position of the Earth and its precession.

  Parameters:

  representation : `BaseRepresentation` or None

  > A representation object or None to have no data (or use the other keywords)

  ra : `Angle`, optional, must be keyword

  > The RA for this object (`dec` must also be given and `representation` must be None).

  dec : `Angle`, optional, must be keyword

  > The Declination for this object (`ra` must also be given and `representation` must be None).

  distance : `Quantity`, optional, must be keyword

  > The Distance for this object along the line-of-sight. (`representation` must be None).

  Attributes Summary

  `default_representation` |
  `frame_attributes` |
  `frame_specific_representation_info` |
  `name` |
  `obstime` |

  Attributes Documentation

  `default_representation`
  `frame_attributes` = OrderedDict([('obstime', <astropy.coordinates.baseframe.TimeFrameAttribute object at 0x7f523a4583d0>)])
  `frame_specific_representation_info`
  `name` = 'cirs'
  `obstime` = <Time object: scale='utc' format='jyear_str' value=J2000.000>